Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.rules
Class BindingGeneratorImpl

    java.lang.Object
      org.mindswap.pellet.rules.BindingGeneratorImpl

All Implemented Interfaces:
  java.lang.Iterable<VariableBinding>, BindingGenerator

    public class BindingGeneratorImpl

extends java.lang.Object
implements BindingGenerator

Title: Binding Generator Implementation

Description: Takes a list of binding helpers

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Author:
  Ron Alford

Constructor Summary
`BindingGeneratorImpl()` Empty Binding Generator
`BindingGeneratorImpl(ABox abox, VariableBinding initialBinding, java.util.Collection<BindingHelper> helpers)` Constructs a binding generator with the given list of helpers.

Method Summary
`java.util.Iterator<VariableBinding>` | `iterator()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingGeneratorImpl

    public BindingGeneratorImpl()

  Empty Binding Generator

### BindingGeneratorImpl

    public BindingGeneratorImpl(ABox abox,
                                VariableBinding initialBinding,
                                java.util.Collection<BindingHelper> helpers)

  Constructs a binding generator with the given list of helpers. The helpers must be in such an order that prerequisite variables of any helper are bound by a helper before it.

Method Detail

### iterator

    public java.util.Iterator<VariableBinding> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<VariableBinding>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.